Module java.security.sasl
Package javax.security.sasl

## Class RealmCallback

- java.lang.Object
- - javax.security.auth.callback.TextInputCallback
  - - javax.security.sasl.RealmCallback

All Implemented Interfaces:
  `Serializable`, `Callback`

    public class RealmCallback
    extends TextInputCallback

This callback is used by `SaslClient` and `SaslServer` to retrieve realm information.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`RealmCallback​(String prompt)` Constructs a `RealmCallback` with a prompt.
`RealmCallback​(String prompt, String defaultRealmInfo)` Constructs a `RealmCallback` with a prompt and default realm information.

### Method Summary

### Methods declared in class javax.security.auth.callback.TextInputCallback

`getDefaultText, getPrompt, getText, setText`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RealmCallback

    public RealmCallback​(String prompt)

Constructs a `RealmCallback` with a prompt.

Parameters:
  `prompt` - The non-null prompt to use to request the realm information.
Throws:
  `IllegalArgumentException` - If `prompt` is null or the empty string.

#### RealmCallback

    public RealmCallback​(String prompt,
                         String defaultRealmInfo)

Constructs a `RealmCallback` with a prompt and default realm information.

Parameters:
  `prompt` - The non-null prompt to use to request the realm information.
  `defaultRealmInfo` - The non-null default realm information to use.
Throws:
  `IllegalArgumentException` - If `prompt` is null or the empty string, or if `defaultRealm` is empty or null.